petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatMultHermitianTranspose

Computes matrix Hermitian transpose times a vector.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultHermitianTranspose(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| x | - the vector to be multilplied

### Output Parameters

y -the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMultHermitianTranspose(A,y,y).

Also called the conjugate transpose, complex conjugate transpose, or adjoint.

For real numbers MatMultTranspose() and MatMultHermitianTranspose() are identical.

### See Also

MatMult(), MatMultAdd(), MatMultHermitianTransposeAdd(), MatMultTranspose()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages